Admiral
Runners

List runner jobs

GET
/api/v1/runners/{runner_id}/jobs

Scope: runner:read

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer adm_pat_...

In: header

Path Parameters

runner_id*runner_id

The runner whose jobs to list (UUID).

Formatuuid

Query Parameters

filter?filter

Filter expression to narrow results. Uses the Admiral filter DSL.

Filterable fields:

  • status -- filter by job status (PENDING, ASSIGNED, RUNNING, etc.).
  • job_type -- filter by job type (PLAN, APPLY, DESTROY_PLAN, DESTROY_APPLY).
  • deployment_id -- jobs for a specific deployment (UUID).

Example: field['status'] = 'RUNNING'

Lengthlength <= 1024
page_size?page_size

Maximum number of jobs to return per page.

Formatint32
Range0 <= value <= 100
page_token?page_token

Opaque pagination token from a previous response.

Response Body

application/json

curl -X GET "https://admiral.example.com/api/v1/runners/497f6eca-6276-4993-bfeb-53cbbbba6f08/jobs"
{  "jobs": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "runner_id": "9d0962d6-7c33-45b9-936f-62727b39a370",      "revision_id": "f8f7f022-982b-4bef-ba7d-4bb808fdbe2a",      "deployment_id": "6ef0ac85-9892-4664-a2a5-58bf2af5a8a6",      "job_type": "JOB_TYPE_UNSPECIFIED",      "status": "JOB_STATUS_UNSPECIFIED",      "created_at": "2023-01-15T01:30:15.01Z",      "started_at": "2023-01-15T01:30:15.01Z",      "completed_at": "2023-01-15T01:30:15.01Z"    }  ],  "next_page_token": "string"}